Index: sanscalculator/docs/sphinx/Makefile
===================================================================
--- sanscalculator/docs/sphinx/Makefile	(revision a225dc7f4e1381d2650e49ee5f7834de8e445464)
+++ sanscalculator/docs/sphinx/Makefile	(revision 115106ff226d484f467c3f26adc236e45e1ccf04)
@@ -35,7 +35,11 @@
 
 clean:
-	-rm -rf $(BUILDDIR)/*
+	-rm -rf $(BUILDDIR)
+	-rm -rf api
+	
+stubs:
+	python genmods.py
 
-html:
+html: stubs
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
 	@echo
Index: sanscalculator/docs/sphinx/genmods.py
===================================================================
--- sanscalculator/docs/sphinx/genmods.py	(revision a4f04f2b1ff7c1c783d298fca0a598a8374b0ace)
+++ sanscalculator/docs/sphinx/genmods.py	(revision 115106ff226d484f467c3f26adc236e45e1ccf04)
@@ -16,6 +16,4 @@
    :inherited-members:
    :show-inheritance:
-   :special-members:
-   :private-members:
 """
 
